Bug 904121 (CVE-2013-0236)

Summary: wordpress: XSS flaws via shortcodes and HTTP POST content
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, gwync
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: WordPress 3.5.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 904124, 904125    
Bug Blocks:    

Description Jan Lieskovsky 2013-01-25 14:02:32 UTC
From WordPress upstream v3.5.1 advisory [1]:
* Two instances of cross-site scripting via shortcodes and post content. These issues were discovered by Jon Cave of the WordPress security team.

References:
[1] http://wordpress.org/news/2013/01/wordpress-3-5-1/
[2] http://www.openwall.com/lists/oss-security/2013/01/25/7

Comment 1 Jan Lieskovsky 2013-01-25 14:08:31 UTC
This issue affects the versions of the wordpress package, as shipped with Fedora release of 16, 17, and 18. Please schedule an update.

--

This issue affect the versions of the wordpress package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.

Comment 2 Jan Lieskovsky 2013-01-25 14:11:14 UTC
Created wordpress tracking bugs for this issue

Affects: fedora-all [bug 904124]
Affects: epel-all [bug 904125]

Comment 3 Jan Lieskovsky 2013-01-29 10:13:28 UTC
The CVE identifier of CVE-2013-0236 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/01/29/7

Comment 5 Fedora Update System 2013-02-10 04:25:44 UTC
wordpress-3.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-02-10 04:44:42 UTC
wordpress-3.5.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-02-27 18:01:51 UTC
wordpress-3.5.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-02-27 18:05:22 UTC
wordpress-3.5.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.